package cn.superdesk.uniorder.openapi.api.accounting.customer;

import cn.superdesk.uniorder.dto.openapi.accounting.customer.AccountingScoreCustomerDto;
import cn.superdesk.uniorder.openapi.api.base.O;
import cn.superdesk.uniorder.openapi.oauth2.response.AccessTokenResponse;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSort;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

@Api(value = "客户对账单API接口", tags = {"客户对账单API接口"})
@ApiSort(value = 300000)
@Slf4j
@RestController
@RequestMapping("/v0/biz/accounting/customer/score")
public class AccountingCustomerScoreRestApi {

	@ApiOperation(value = "对账单创建 create")
	@ApiOperationSupport(order = 12)
	@RequestMapping(value = "create", method = RequestMethod.POST)
	@ResponseBody
	public O<AccessTokenResponse> create(@RequestBody AccountingScoreCustomerDto createForm) {

		AccessTokenResponse accessTokenResponse = new AccessTokenResponse();

		return new O<AccessTokenResponse>()
				.setResult(accessTokenResponse)
				.setResultCode(200)
				.setResultMessage("成功")
				.setSuccess(true);
	}

}
